chain (string, required): Supported blockchain.currency (string, required): Supported cryptocurrency currency.vs_currency (string, required): Order amount in real currency.vs_price (number, required): Real currency type.succeed_url (string): Redirect URL to checkout page after successful payment.timeout_url (string): Redirect URL to checkout page after payment timeout.callback_url (string): Callback URL(GET) after successful payment.timeout_callback (string): Callback URL(GET) after payment timeout.fixed_encrypt_price (bool): Make the rate ratio of USDT to USD 1:1, Only stable currencies are supported. Default: Falseenable_post_callback(bool): Use the post method to callback and add order information to the request body. Default: Falsecode (number): Response code.message (string): Response message.data (object): Response data object containing order details.order_id (string): Order ID.status (string): Order status.amount (number): Order amount.create_time (string): Order creation time.vs_currency (string): Real currency type.vs_price (number): Real currency price.address (string): Payment address.contract_addr (string): Contract address.pay_url (string): Payment URL.result (boolean): Result of the request.Applicable to callback_urlandtimeout_callbackfields
callback_url URL will be requested;timeout_callback URL will be requested.enable_post_callback is set to true, the callback will use a POST request and the order information will be attached to the request body.{
"user_id": "mct-bea5c44da875",
"order_id": "20250207040935220628",
"order_type": "ORDER",
"platform": "AURPAY",
"status": "PENDING",
"chain": "BTC",
"chain_name": "Bitcoin",
"currency": "BTC",
"amount": "0.00102549",
"vs_price": "100.0",
"vs_currency": "USD",
"remark": "",
"refund": false,
"bind_id": null,
"create_time": "2025-02-06T00:00:00",
"update_time": "2025-02-06T00:00:00",
"tx_id": "ca1f0db3-0a3d-47c5-94ed-c94193aa1934",
"tx_type": "ORDER",
"obtained": null,
"fee": "0.00000820392",
"from_addr": null,
"to_addr": "tb1q2vgyv8xh0d2sv9j8gpeuedd8sm7pyx5l064s2e",
"tx_hash": null,
"tx_hash_list": [],
"contract_id": null,
"website": null
}
curl --location 'https://dashboard.aurpay.net/api/order/pay-info' \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"chain": "ETH", // Supported blockchain
"currency": "USDT-ERC20", // Supported Cryptocurrency currency
"vs_currency": "USD", // Order amount in real currency - required
"vs_price": 10, // Real currency type - required
"succeed_url": "https://example.com/succeed_url", // Redirect URL to checkout page after successful payment
"timeout_url": "https://example.com/timeout_url", // Redirect URL to checkout page after payment timeout
"callback_url": "https://example.com/callback_url", // Callback URL(GET) after successful payment
"timeout_callback": "https://example.com/timeout_callback", // Callback URL(GET) after payment timeout
"fixed_encrypt_price": false, // Make the rate ratio of USDT to USD 1:1, Default: False
"enable_post_callback": false // Use the post method to callback and add order information to the request body. Default: False
}'{
"code": 0,
"message": "ok",
"data": {
"order_id": "20240613093614690315",
"status": "PENDING",
"amount": 18.0098,
"create_time": "2024-06-13T09:36:14",
"vs_currency": "USD",
"vs_price": 18,
"address": "0x686691e7b70e9239e19eB4cd080DDb8aB6F33cf3",
"contract_addr": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"pay_url": "https://dashboard.aurpay.net/#/cashier/20240613093614690315"
},
"result": true
}